"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ck_lib_1 = require("@ckstack/ck-lib");
class CkCronTask {
    constructor() {
        this.IS_DEBUG_LEVEL_LOG = false;
        this.TASK_STATE = { running: false, lastRunningTm: 0 };
    }
    init(isHideDefaultLog) {
        this.TASK_STATE.running = false;
        this.IS_DEBUG_LEVEL_LOG = (isHideDefaultLog === true);
    }
    isRunning() {
        return this.TASK_STATE.running;
    }
    setRunning(lhd) {
        this.TASK_STATE.running = true;
        this.TASK_STATE.lastRunningTm = Date.now();
        if (this.IS_DEBUG_LEVEL_LOG) {
            ck_lib_1.CkLogger.debugLog2('start task', lhd);
        }
        else {
            ck_lib_1.CkLogger.infoLog2('start task', lhd);
        }
    }
    taskEnd(lhd) {
        this.TASK_STATE.running = false;
        if (this.IS_DEBUG_LEVEL_LOG) {
            ck_lib_1.CkLogger.debugLog2('end task', lhd);
        }
        else {
            ck_lib_1.CkLogger.infoLog2('end task', lhd);
        }
    }
}
exports.default = CkCronTask;
